#
# Conditional build:
%bcond_without	libbsd	# libbsd arc4random instead of Linux implementation

Summary:	X Display Manager Control Protocol library
Summary(pl.UTF-8):	Biblioteka protokołu XDMCP
Name:		xorg-lib-libXdmcp
Version:	1.1.5
Release:	1%{?tld}
License:	MIT
Group:		X11/Libraries
Source0:	https://xorg.freedesktop.org/releases/individual/lib/libXdmcp-%{version}.tar.xz
# Source0-md5:	ce0af51de211e4c99a111e64ae1df290
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	docbook-dtd43-xml
%{!?with_libbsd:BuildRequires:	glibc-devel >= 6:2.25}
%{?with_libbsd:BuildRequires:	libbsd-devel >= 0.3.0}
BuildRequires:	libtool >= 2:2
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	tar >= 1:1.22
BuildRequires:	xmlto >= 0.0.22
BuildRequires:	xorg-proto-xproto-devel
BuildRequires:	xorg-sgml-doctools >= 1.8
BuildRequires:	xorg-util-util-macros >= 1.16
BuildRequires:	xz
# getentropy() requires Linux 3.17+ (to avoid CVE-2017-2625 when building without libbsd)
%{!?with_libbsd:Requires:	uname(release) >= 3.17}
Obsoletes:	libXdmcp < 1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X Display Manager Control Protocol library.

%description -l pl.UTF-8
Biblioteka protokołu XDMCP (X Display Manager Control Protocol).

%package devel
Summary:	Header files for libXdmcp library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libXdmcp
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
%{?with_libbsd:Requires:	libbsd-devel >= 0.3.0}
Requires:	xorg-proto-xproto-devel
Obsoletes:	libXdmcp-devel < 1

%description devel
X Display Manager Control Protocol library.

This package contains the header files needed to develop programs that
use libXdmcp.

%description devel -l pl.UTF-8
Biblioteka protokołu XDMCP (X Display Manager Control Protocol).

Pakiet zawiera pliki nagłówkowe niezbędne do kompilowania programów
używających biblioteki libXdmcp.

%package static
Summary:	Static libXdmcp library
Summary(pl.UTF-8):	Biblioteka statyczna libXdmcp
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libXdmcp-static < 1

%description static
X Display Manager Control Protocol library.

This package contains the static libXdmcp library.

%description static -l pl.UTF-8
Biblioteka protokołu XDMCP (X Display Manager Control Protocol).

Pakiet zawiera statyczną bibliotekę libXdmcp.

%prep
%setup -q -n libXdmcp-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_libbsd:ac_cv_lib_bsd_arc4random_buf=no}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# (.html version) packaged as %doc
%{__rm} $RPM_BUILD_ROOT%{_docdir}/libXdmcp/xdmcp.*

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README.md
%attr(755,root,root) %{_libdir}/libXdmcp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libXdmcp.so.6

%files devel
%defattr(644,root,root,755)
%doc doc/xdmcp.html
%attr(755,root,root) %{_libdir}/libXdmcp.so
%{_libdir}/libXdmcp.la
%{_includedir}/X11/Xdmcp.h
%{_pkgconfigdir}/xdmcp.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libXdmcp.a
%changelog
* Wed Apr 03 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xorg-lib-libXdmcp.git;a=log;h=6fa6ed6b73f1ba01d620a4a67200e84bfb432422

* Sun Mar 03 2024 Jakub Bogusz <qboosh@pld-linux.org> 6fa6ed6
- updated to 1.1.5

* Sat Nov 19 2022 Jakub Bogusz <qboosh@pld-linux.org> 3a07c6b
- updated to 1.1.4

* Thu Mar 28 2019 Jan Rękorajski <baggins@pld-linux.org> 67e5485
- fix devel reqs
- rel 2

* Tue Mar 19 2019 Jakub Bogusz <qboosh@pld-linux.org> d52c2d5
- updated to 1.1.3 (fixes CVE-2017-2625)

* Sun Mar 22 2015 Jakub Bogusz <qboosh@pld-linux.org> 7dc635e
- updated to 1.1.2

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> ea74ea0
- x32 rebuild
- release 2 (by relup.sh)

* Thu Mar 08 2012 Jakub Bogusz <qboosh@pld-linux.org> 42d0e2a
- updated to 1.1.1

* Mon Jan 24 2011 sparky <sparky@pld-linux.org> 2435728
- BR: docbook-dtd43-xml

* Sat Oct 30 2010 Jakub Bogusz <qboosh@pld-linux.org> ddd42aa
- updated to 1.1.0

* Tue Sep 29 2009 Jakub Bogusz <qboosh@pld-linux.org> b41ef8d
- updated util-macros version
- ghost soname symlink
- added README to doc

* Thu Sep 24 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 1a7a814
- up to 1.0.3

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 2fa1412
- release 5

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 6d781d7
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 62bec21
- converted to UTF-8

* Fri Nov 24 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> d60a0e5
- rebuild

* Tue Nov 21 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 9534ead
- rebuild

* Mon Nov 20 2006 Paweł Sikora <pluto@pld-linux.org> a71f158
- release 2. (rebuild with P: *.la)

* Wed Aug 16 2006 Jakub Bogusz <qboosh@pld-linux.org> 3d23037
- add source

* Sun Aug 13 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 049e61d
- up to 1.0.2

* Thu Apr 27 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 3e049be
- up to 1.0.1

